Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface WcmSyndicationService

All Known Implementing Classes:
  SyndicationService

    public interface WcmSyndicationService

WcmSyndicationService enables access to control syndication between `Syndicator` and `Subscriber`.

To ensure that the service is available at runtime, the below line must be added to the services.properties file (<WPS profile home>\PortalServer\config\config\services.properties),

`com.ibm.workplace.wcm.api.WcmSyndicationService = com.ibm.workplace.wcm.api.WcmSyndicationServiceImpl`

Here is an example of how to retrieve the `WcmSyndicationService`:``

     try
     {
        // Construct and inital Context
        InitialContext ctx = new InitialContext();

        // Retrieve WcmSyndicationService using JNDI name
        WcmSyndicationService syndicationService = (WcmSyndicationService) ctx.lookup("portal:service/wcm/WcmSyndicationService");
     }
     catch (NamingException ne)
     {
        System.out.print("Naming Exception: " + ne);
     }

Since:
  8.5

Field Summary
`static java.lang.String` | `JNDI_NAME` JNDI name of this service

Method Summary
`Subscriber` | `getSubscriberByName(Workspace workspace, java.lang.String subscriberName)` Returns the `Subscriber` with the specified name, or `null` if a `Subscriber` with that name does not exist or the caller does not have access
`java.util.Iterator<Subscriber>` | `getSubscribers(Workspace workspace)` Returns an iterator of all `Subscriber` objects visible to the user of the `Workspace`.
`Syndicator` | `getSyndicatorByName(Workspace workspace, java.lang.String syndicatorName)` Returns the `Syndicator` with the specified name, or `null` if a `Syndicator` with that name does not exist or the caller does not have access
`java.util.Iterator<Syndicator>` | `getSyndicators(Workspace workspace)` Returns an iterator of all `Syndicator` objects visible to the user of the `Workspace`.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  JNDI name of this service

  See Also:
    Constant Field Values

Method Detail

### getSyndicators

    java.util.Iterator<Syndicator> getSyndicators(Workspace workspace)

  Returns an iterator of all `Syndicator` objects visible to the user of the `Workspace`.

  Parameters:
    `workspace` - the workspace
  Returns:
    an iterator of `Syndicator` objects
  Since:
    6.1

### getSyndicatorByName

    Syndicator getSyndicatorByName(Workspace workspace,
                                   java.lang.String syndicatorName)

  Returns the `Syndicator` with the specified name, or `null` if a `Syndicator` with that name does not exist or the caller does not have access

  Parameters:
    `workspace` - the workspace
    `syndicatorName` - the name of the `Syndicator` to retrieve
  Returns:
    a `Syndicator` object representing the syndicator with the given name, or `null` if it does not exist.
  Since:
    6.1

### getSubscribers

    java.util.Iterator<Subscriber> getSubscribers(Workspace workspace)

  Returns an iterator of all `Subscriber` objects visible to the user of the `Workspace`.

  Parameters:
    `workspace` - the workspace
  Returns:
    an iterator of `Subscriber` objects
  Since:
    6.1

### getSubscriberByName

    Subscriber getSubscriberByName(Workspace workspace,
                                   java.lang.String subscriberName)

  Returns the `Subscriber` with the specified name, or `null` if a `Subscriber` with that name does not exist or the caller does not have access

  Parameters:
    `workspace` - the workspace
    `subscriberName` - the name of the `Subscriber` to retrieve
  Returns:
    a `Subscriber` object representing the subscriber with the given name, or `null` if it does not exist.
  Since:
    6.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD